%global packname  pbdPROF
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.3.1
Release:          2%{?dist}
Summary:          Programming with Big Data -- MPI Profiling Tools
License:          MPLv2.0
URL:              http://r-pbd.org/
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%(echo %version | awk -F'\\.' '{print $1"."$2"-"$3}').tar.gz
Requires:         openmpi%{_isa}
#BuildRequires:    R-devel tex(latex) R-ggplot2 R-gridExtra R-reshape2
BuildRequires:    R-devel tex(latex) mpiP-openmpi openmpi-devel
BuildArch:        noarch
# was arched
Obsoletes:        %name < 0.3.1


%description
MPI profiling tools.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%_openmpi_load
#export MPI_LIBPATH=$MPI_LIB
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} \
    --configure-args="--with-mpi-type=OPENMPI --with-mpi-include=$MPI_INCLUDE --with-mpi-libpath=$MPI_LIB --with-mpiP=-lmpiP" \
    %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%_openmpi_load
%{_bindir}/R CMD check --no-install %{packname}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/demo
%{rlibdir}/%{packname}/etc
%{rlibdir}/%{packname}/extdata
%exclude %{rlibdir}/%{packname}/fpmpi_LICENSE.txt
%exclude %{rlibdir}/%{packname}/libs


%changelog
* Mon Nov 14 2016 Dave Love <loveshack@fedoraproject.org> - 0.3.1-2
- New version
- Change to noarch

* Sun May  1 2016 Dave Love <loveshack@fedoraproject.org> - 0.3.0-1
- New version

* Wed Dec 17 2014 dlove <> 0.2.3-1
- initial package for Fedora
